Subject: [Megaco] Megaco Event Descriptor question

From: Ramesh Babu Kuppili <[email-masked]>
Date: Thu, 27 Dec 2007 14:43:40 +0530

Hello Gurus,
 
I have a question about Megaco Event Descriptor.  I am receiving the following message from the MGC.
 
!/1 [xx.xx.xx.xx]:2944 T=372855742{C=-{MF=A1{E=369098767{dd/ce{DM=dmap1},al/*},SG{cg/dt},DM=dmap1{(1xx|9xx|0[2-9]xxx|00[1-9]xxxx|[2-8]xxxxxx|0[2-9]xxxxxxx|05xxxxxxxx|E|F|x.F|[0-9].L)}}}
 
The event descriptor in the above message is asking the GW to use ditigmap "dmap1".  After sometime we are receiving the following message from MGC:
 
!/1 [xx.xx.xx.xx]:2944 T=372855743{C=-{MF=A1{E=369098752{tonedet/std{tl=*},al/*},SG{}}}
 
Please note that the event descriptor in the above message does not have any digitmap event.  The quesion is, "on receiving the seocond modify from MGC, should GW still be detecting DTMF to be reported immediately to the switch based on the dtmp package received in the first modify message.  
 
Or should it overwrite its event decriptor with the one from second Modify (RFC 3435 seems to propose this).  Thereby not detecting any DTMF after the second modify is received.
 
text from RFC 3435
"An EventsDescriptor received by a media gateway replaces any previous Events descriptor. Event notification in process shall complete, and events detected after the command containing the new EventsDescriptor executes, shall be processed according to the new EventsDescriptor." (section 7.1.9).
 
Thanks for your time.
 
- ramesh
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Raphael Tryster" <[email-masked]>
Date: Thu, 27 Dec 2007 11:24:31 +0200

After the second Modify, the GW would only report tones detected
according to the new Events descriptor in that command, and would no
longer process the digit map.  The quote at the end of your message is
applicable, exept that it is from H.248.1, not RFC 3435 which describes
MGCP.
 
Raphael Tryster (not a guru but standing in for vacationing gurus)

________________________________

From: Ramesh Babu Kuppili [mailto:[email-masked]] 
Sent: Thursday, December 27, 2007 11:14 AM
To: [email-masked]
Subject: [Megaco] Megaco Event Descriptor question

Hello Gurus,
 
I have a question about Megaco Event Descriptor.  I am receiving the
following message from the MGC.
 
!/1 [xx.xx.xx.xx]:2944
T=372855742{C=-{MF=A1{E=369098767{dd/ce{DM=dmap1},al/*},SG{cg/dt},DM=dma
p1{(1xx|9xx|0[2-9]xxx|00[1-9]xxxx|[2-8]xxxxxx|0[2-9]xxxxxxx|05xxxxxxxx|E
|F|x.F|[0-9].L)}}}
 
The event descriptor in the above message is asking the GW to use
ditigmap "dmap1".  After sometime we are receiving the following message
from MGC:
 
!/1 [xx.xx.xx.xx]:2944
T=372855743{C=-{MF=A1{E=369098752{tonedet/std{tl=*},al/*},SG{}}}
 
Please note that the event descriptor in the above message does not have
any digitmap event.  The quesion is, "on receiving the seocond modify
from MGC, should GW still be detecting DTMF to be reported immediately
to the switch based on the dtmp package received in the first modify
message.  
 
Or should it overwrite its event decriptor with the one from second
Modify (RFC 3435 seems to propose this).  Thereby not detecting any DTMF
after the second modify is received.
 
text from RFC 3435
"An EventsDescriptor received by a media gateway replaces any previous
Events descriptor. Event notification in process shall complete, and
events detected after the command containing the new EventsDescriptor
executes, shall be processed according to the new EventsDescriptor."
(section 7.1.9).
 
Thanks for your time.
 
- ramesh
**********************************************************************************************
IMPORTANT: The contents of this email and any attachments are confidential. They are intended for the 
named recipient(s) only.
If you have received this email in error, please notify the system manager or the sender immediately and do 
not disclose the contents to anyone or make copies thereof.
*** eSafe scanned this email for viruses, vandals, and malicious content. ***
**********************************************************************************************

---

From: Ramesh Babu Kuppili <[email-masked]>
Date: Thu, 27 Dec 2007 14:59:17 +0530

Raphael,
 
Sorry for the goofup.  The RFC i was referring to is from 3525.
 
- ramesh

 _____ 
From: Raphael Tryster [mailto:[email-masked]] Sent: Thursday, December 27, 2007 2:55 PMTo: Ramesh Babu Kuppili; [email-masked]: RE: [Megaco] Megaco Event Descriptor question
After the second Modify, the GW would only report tones detected according to the new Events descriptor in that command, and would no longer process the digit map.  The quote at the end of your message is applicable, exept that it is from H.248.1, not RFC 3435 which describes MGCP.

 _____ 
From: Ramesh Babu Kuppili [mailto:[email-masked]] Sent: Thursday, December 27, 2007 11:14 AMTo: [email-masked]: [Megaco] Megaco Event Descriptor question
Hello Gurus,

 

 
 
text from RFC 3435
 
Thanks for your time.
 
- ramesh
 _____ 
IMPORTANT: The contents of this email and any attachments are confidential. They are intended for the named recipient(s) only.If you have received this email in error, please notify the system manager or the sender immediately and do not disclose the contents to anyone or make copies thereof.*** eSafe scanned this email for viruses, vandals, and malicious content. *** 
 _____

---

From: Ramesh Babu Kuppili <[email-masked]>
Date: Thu, 27 Dec 2007 15:11:38 +0530

Raphael,
 
RFC 3525 says that tonedet package is a extend only package and it defines "*" as the only possible tone id:
 
E.4 Tone Detection Package (of 3225)
Possible values: "wildcard" as defined above is the only value defined in this package. Extensions to this package would add additional possible values for tone id.

Given that, what should the MG send to MGC on detecting a tone.
 
- ramesh

 _____ 

 _____ 

 

 
 
text from RFC 3435
 
Thanks for your time.
 
- ramesh
 _____

---

From: Navdeep Bhatia <[email-masked]>
Date: Thu, 27 Dec 2007 17:02:55 +0530

Hi Ramesh,

As per RFC 3525, the package ?tonedet? is designed to be extended only. 
Any package that is designed to be extended cannot be published in Megaco 
messages (refer section 12.1.1).
So, one of the possibility can be receiving following MEGACO message:

!/1 [xx.xx.xx.xx]:2944 T=372855743{C=-{MF=A1{E=369098752{dd
/std{tl=*},al/*},SG{}}}

For the above message, the list of tone ids are described in section E.6 
(DTMF detection Package, also see table in section E.5.3).
If the toneid is wildcarded (*) as is in your case, any tone detected from 
the list of tone ids (extended by the package implemented) is reported to 
MGC.

PS: Apart from DTMF detection Package(dd), Call Progress Tones Detection 
Package(cd) also extends "tonedet".

Regards,
Navdeep

Navdeep Bhatia
Senior Software Engineer
 
A R I C E N T
 
The Presidency, Tower-A, 
351/2, Sector 14 MG Road, 
Gurgaon-122001, Haryana, India

Ramesh Babu Kuppili <[email-masked]> 
12/27/2007 03:11 PM

To
Raphael Tryster <[email-masked]>, [email-masked]
cc

Subject
RE: [Megaco] Megaco Event Descriptor question

Raphael,
 
RFC 3525 says that tonedet package is a extend only package and it defines 
"*" as the only possible tone id:
 
E.4 Tone Detection Package (of 3225)
Possible values: "wildcard" as defined above is the only value defined in 
this package. Extensions to this package would add additional possible 
values for tone id.
Given that, what should the MG send to MGC on detecting a tone.
 
- ramesh

From: Raphael Tryster [mailto:[email-masked]] 
Sent: Thursday, December 27, 2007 2:55 PM
To: Ramesh Babu Kuppili; [email-masked]
Subject: RE: [Megaco] Megaco Event Descriptor question

After the second Modify, the GW would only report tones detected according 
to the new Events descriptor in that command, and would no longer process 
the digit map.  The quote at the end of your message is applicable, exept 
that it is from H.248.1, not RFC 3435 which describes MGCP.

Hello Gurus,

!/1 [xx.xx.xx.xx]:2944 
T=372855742{C=-{MF=A1{E=369098767{dd/ce{DM=dmap1},al/*},SG{cg/dt},DM=dmap1{(1xx|9xx|0[2-9]xxx|00[1-9]xxxx|[2-8]xxxxxx|0[2-9]xxxxxxx|05xxxxxxxx|E|F|x.F|[0-9].L)}}}
 
The event descriptor in the above message is asking the GW to use ditigmap 
"dmap1".  After sometime we are receiving the following message from MGC:
 
!/1 [xx.xx.xx.xx]:2944 
 
Please note that the event descriptor in the above message does not have 
any digitmap event.  The quesion is, "on receiving the seocond modify from 
MGC, should GW still be detecting DTMF to be reported immediately to the 
switch based on the dtmp package received in the first modify message. 
 
Or should it overwrite its event decriptor with the one from second Modify 
(RFC 3435 seems to propose this).  Thereby not detecting any DTMF after 
the second modify is received.
 
text from RFC 3435
 
Thanks for your time.
 
- ramesh
IMPORTANT: The contents of this email and any attachments are 
confidential. They are intended for the named recipient(s) only.
If you have received this email in error, please notify the system manager 
or the sender immediately and do not disclose the contents to anyone or 
make copies thereof.
*** eSafe scanned this email for viruses, vandals, and malicious content. 
*** _______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

***********************  Aricent- Confidential   ***********************
"DISCLAIMER: This message is proprietary to Aricent  and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."
_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Ramesh Babu Kuppili <[email-masked]>
Date: Thu, 27 Dec 2007 17:16:26 +0530

Hi Navdeep,
 
I am clear about what the "Observed Event Descriptor" in the notify message should contain when the event descriptor in Modify message has DTMF detection package.  But my confusion is that the MGC is sending "tonedet" package (tonedet/std{tl=*}) in the modify message.  I understand that tonedet package cannot be directly referred since it is a extend only package.  Given that, how should the MG behave when it receives a command with tonedet package reference.  Should i nack the modify message that has reference to tonedet package.
 
- ramesh

 _____ 
From: Navdeep Bhatia [mailto:[email-masked]] Sent: Thursday, December 27, 2007 5:03 PMTo: Ramesh Babu KuppiliCc: [email-masked]; Raphael TrysterSubject: RE: [Megaco] Megaco Event Descriptor question

Hi Ramesh, As per RFC 3525, the package "tonedet" is designed to be extended only.  Any package that is designed to be extended cannot be published in Megaco messages (refer section 12.1.1). So, one of the possibility can be receiving following MEGACO message: !/1 [xx.xx.xx.xx]:2944 T=372855743{C=-{MF=A1{E=369098752{dd/std{tl=*},al/*},SG{}}}For the above message, the list of tone ids are described in section E.6 (DTMF detection Package, also see table in section E.5.3). If the toneid is wildcarded (*) as is in your case, any tone detected from the list of tone ids (extended by the package implemented) is reported to MGC. PS: Apart from DTMF detection Package(dd), Call Progress Tones Detection Package(cd) also extends "tonedet". Regards, Navdeep 
Navdeep Bhatia 
Senior Software Engineer 
  
A R I C E N T 
  
The Presidency, Tower-A, 

12/27/2007 03:11 PM 

To

Raphael,   RFC 3525 says that tonedet package is a extend only package and it defines "*" as the only possible tone id:   E.4 Tone Detection Package (of 3225) 

Given that, what should the MG send to MGC on detecting a tone.   - ramesh 
 _____ 
From: Raphael Tryster [mailto:[email-masked]] Sent: Thursday, December 27, 2007 2:55 PMTo: Ramesh Babu Kuppili; [email-masked]: RE: [Megaco] Megaco Event Descriptor questionAfter the second Modify, the GW would only report tones detected according to the new Events descriptor in that command, and would no longer process the digit map.  The quote at the end of your message is applicable, exept that it is from H.248.1, not RFC 3435 which describes MGCP.   Raphael Tryster (not a guru but standing in for vacationing gurus) 
 _____ 
From: Ramesh Babu Kuppili [mailto:[email-masked]] Sent: Thursday, December 27, 2007 11:14 AMTo: [email-masked]: [Megaco] Megaco Event Descriptor questionHello Gurus,   I have a question about Megaco Event Descriptor.  I am receiving the following message from the MGC.   !/1 [xx.xx.xx.xx]:2944 T=372855742{C=-{MF=A1{E=369098767{dd/ce{DM=dmap1},al/*},SG{cg/dt},DM=dmap1{(1xx|9xx|0[2-9]xxx|00[1-9]xxxx|[2-8]xxxxxx|0[2-9]xxxxxxx|05xxxxxxxx|E|F|x.F|[0-9].L)}}}   The event descriptor in the above message is asking the GW to use ditigmap "dmap1".  After sometime we are receiving the following message from MGC:   !/1 [xx.xx.xx.xx]:2944 T=372855743{C=-{MF=A1{E=369098752{tonedet/std{tl=*},al/*},SG{}}}   Please note that the event descriptor in the above message does not have any digitmap event.  The quesion is, "on receiving the seocond modify from MGC, should GW still be detecting DTMF to be reported immediately to the switch based on the dtmp package received in the first modify message.     Or should it overwrite its event decriptor with the one from second Modify (RFC 3435 seems to propose this).  Thereby not detecting any DTMF after the second modify is received.   text from RFC 3435 "An EventsDescriptor received by a media gateway replaces any previous Events descriptor. Event notification in process shall complete, and events detected after the command containing the new EventsDescriptor executes, shall be processed according to the new EventsDescriptor." (section 7.1.9).   Thanks for your time.   - ramesh 
 _____ 
IMPORTANT: The contents of this email and any attachments are confidential. They are intended for the named recipient(s) only.If you have received this email in error, please notify the system manager or the sender immediately and do not disclose the contents to anyone or make copies thereof.*** eSafe scanned this email for viruses, vandals, and malicious content. *** 
 _____ 
_______________________________________________Megaco mailing [email-masked]://www1.ietf.org/mailman/listinfo/megaco***********************  Aricent- Confidential   *********************** 
"DISCLAIMER: This message is proprietary to Aricent  and is intended solely for the use of the individual to whom it is addressed. It may contain privileged or confidential information and should not be circulated or used for any purpose other than for what it is intended. If you have received this message in error, please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictlyprohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for loss or damage arising from the use of the information transmitted by this email including damage from virus."

---

From: Navdeep Bhatia <[email-masked]>
Date: Thu, 27 Dec 2007 18:02:38 +0530

Ramesh,

First of all, MG should not publish this PackageID (designed to be 
extended only) when reporting packages (in response to Audit on packages).
In case, MGC still sends the request with that package Id, MG should 
respond with an error descriptor.

Since, the behavior is restricted by protocol, "Protocol Error" (error 
code#401) should be returned as error code.

Therefore, the response message would look like:
!/1 [xx.xx.xx.xx]:2944 P=372855743{C=-{MF=A1{Error=401{"Protocol 
Error"}}}}

Regards,
Navdeep

Navdeep Bhatia
Senior Software Engineer
 
A R I C E N T
 
The Presidency, Tower-A, 

12/27/2007 05:16 PM

To
Navdeep Bhatia/HSS@HSS
cc
[email-masked], Raphael Tryster <[email-masked]>
Subject
RE: [Megaco] Megaco Event Descriptor question

Hi Navdeep,
 
I am clear about what the "Observed Event Descriptor" in the notify 
message should contain when the event descriptor in Modify message has 
DTMF detection package.  But my confusion is that the MGC is sending 
"tonedet" package (tonedet/std{tl=*}) in the modify message.  I understand 
that tonedet package cannot be directly referred since it is a extend only 
package.  Given that, how should the MG behave when it receives a command 
with tonedet package reference.  Should i nack the modify message that has 
reference to tonedet package.
 
- ramesh

From: Navdeep Bhatia [mailto:[email-masked]] 
Sent: Thursday, December 27, 2007 5:03 PM
To: Ramesh Babu Kuppili
Cc: [email-masked]; Raphael Tryster
Subject: RE: [Megaco] Megaco Event Descriptor question

Hi Ramesh, 

Regards, 
Navdeep 
Navdeep Bhatia 
Senior Software Engineer 
  
A R I C E N T 
  
The Presidency, Tower-A, 

To

Subject

Raphael, 

  
- ramesh 

  

Hello Gurus, 

!/1 [xx.xx.xx.xx]:2944 

!/1 [xx.xx.xx.xx]:2944 

  
text from RFC 3435 
  
Thanks for your time. 
  
- ramesh 

***********************  Aricent- Confidential   *********************** 
"DISCLAIMER: This message is proprietary to Aricent  and is intended 
solely for the use of 
the individual to whom it is addressed. It may contain privileged or 
confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If 
you have received this message in error, 
please notify the originator immediately. If you are not the intended 
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of 
this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this 
email including damage from virus."